const { MESSAGES } = require("../../util/constants");
const { canModifyQueue } = require("../../util/LanBot");

module.exports.run = (client, message, args, settings) => {

  if (!canModifyQueue(message.member))return message.channel.send('Vous devez être dans un salon vocal pour utiliser cette commande !');
  
  const queue = message.client.queue.get(message.guild.id)
    if(!queue) return message.channel.send("Aucune musique dans la liste d'attente !")
   
    let songs = queue.songs;
    for (let i = songs.length - 1; i > 1; i--) {
      let j = 1 + Math.floor(Math.random() * i);
      [songs[i], songs[j]] = [songs[j], songs[i]];
    }
    
    queue.songs = songs;
    
    message.client.queue.set(message.guild.id, queue);
    message.channel.send(`Lecture aléatoire de la liste de lecture 🔀`).catch(console.error);
};

module.exports.help = MESSAGES.COMMANDS.MUSIQUE.SHUFFLE;
